<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_282) on Wed Apr 21 14:40:18 CEST 2021 -->
<title>UserService</title>
<meta name="date" content="2021-04-21">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UserService";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/nnk/springboot/services/TradeServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/nnk/springboot/services/UserServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/nnk/springboot/services/UserService.html" target="_top">Frames</a></li>
<li><a href="UserService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.nnk.springboot.services</div>
<h2 title="Class UserService" class="title">Class UserService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.nnk.springboot.services.UserService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">UserService</span>
extends java.lang.Object</pre>
<div class="block">The type User service.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#UserService--">UserService</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#deleteById-int-">deleteById</a></span>(int&nbsp;id)</code>
<div class="block">Delete user by id.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#findAll--">findAll</a></span>()</code>
<div class="block">Find all user.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#findById-int-">findById</a></span>(int&nbsp;id)</code>
<div class="block">Find user by id.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#save-com.nnk.springboot.domain.User-">save</a></span>(<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;user)</code>
<div class="block">Save user.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/services/UserService.html#update-com.nnk.springboot.domain.User-">update</a></span>(<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;user)</code>
<div class="block">Update user.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UserService--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UserService</h4>
<pre>public&nbsp;UserService()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="findAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&gt;&nbsp;findAll()</pre>
<div class="block">Find all user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user list</dd>
</dl>
</li>
</ul>
<a name="save-com.nnk.springboot.domain.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;save(<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;user)
          throws <a href="../../../../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions">UserAlreadyExistingException</a></pre>
<div class="block">Save user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - the user to save</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user saved</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions">UserAlreadyExistingException</a></code> - if an user with the same username exists</dd>
</dl>
</li>
</ul>
<a name="update-com.nnk.springboot.domain.User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;update(<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;user)
            throws <a href="../../../../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions">UserAlreadyExistingException</a></pre>
<div class="block">Update user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - the user to update</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user updated</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions">UserAlreadyExistingException</a></code> - if a user with the same username exists and if the user's username to
 update is not equals with the user's id to update found in db</dd>
</dl>
</li>
</ul>
<a name="findById-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findById</h4>
<pre>public&nbsp;<a href="../../../../com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain">User</a>&nbsp;findById(int&nbsp;id)</pre>
<div class="block">Find user by id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the user id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user</dd>
</dl>
</li>
</ul>
<a name="deleteById-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteById</h4>
<pre>public&nbsp;void&nbsp;deleteById(int&nbsp;id)</pre>
<div class="block">Delete user by id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the user id to delete</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/nnk/springboot/services/TradeServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/nnk/springboot/services/UserServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/nnk/springboot/services/UserService.html" target="_top">Frames</a></li>
<li><a href="UserService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
